package com.fuzamei.service.serviceImpl;

import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.fuzamei.constant.Roles;
import com.fuzamei.entity.Role;
import com.fuzamei.entity.User;
import com.fuzamei.mapperInterface.ReceivingClerkMapper;
import com.fuzamei.mapperInterface.UserMapper;
import com.fuzamei.service.UserService;

@Service
public class UserServiceImpl  implements  UserService {

	@Autowired
	private UserMapper userMapper;
	@Autowired
	private ReceivingClerkMapper receivingClerkMapper;
	@Override
	public List<Role> getAllRoles() {
		return userMapper.getAllRoles();
	}
	public List<User> queryUsers(Map<String, Object> map) {
		List<User>  user= null; 
		Integer user_id=(Integer) map.get("user_id");
		//String username=(String) map.get("username");
		//String personName=(String) map.get("personName");
		String role=receivingClerkMapper.selectRoleByUserId(user_id);//通过id 查角色
		if (role.equals(Roles.ADMIN)) {
		   user=userMapper.queryUsers(map);
		 }else {
			 throw new RuntimeException("不是管理员无权查看列表");
		 }
		
		 return user;
	}
	/**
	 * 添加用户信息 
	 */
	@Override
	public  void inserUsers(User user) {

		
		
		
	}
	
	/**
	 * 根据u用户id  编辑修改，角色，账号，密码，名称，信息
	 */
	@Override
	@Transactional(rollbackFor=Exception.class)
	public void updateAccountByUserId(int userId) {
		
		
		
		
	}
	
	
	
	
	


	
	


}
